cdac.medinfo.ccd.datatype

## Class GLISTTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.GLISTTS

- All Implemented Interfaces:
    java.io.Serializable

      public class GLISTTS
      extends ANY

  Java class for GLIST_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GLIST_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <sequence>
               <element name="head" type="{urn:hl7-org:v3}TS"/>
               <element name="increment" type="{urn:hl7-org:v3}PQ"/>
             </sequence>
             <attribute name="period" type="{urn:hl7-org:v3}int" />
             <attribute name="denominator" type="{urn:hl7-org:v3}int" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLISTTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getDenominator()` Gets the value of the denominator property.
    `TS` | `getHead()` Gets the value of the head property.
    `PQ` | `getIncrement()` Gets the value of the increment property.
    `java.math.BigInteger` | `getPeriod()` Gets the value of the period property.
    `void` | `setDenominator(java.math.BigInteger value)` Sets the value of the denominator property.
    `void` | `setHead(TS value)` Sets the value of the head property.
    `void` | `setIncrement(PQ value)` Sets the value of the increment property.
    `void` | `setPeriod(java.math.BigInteger value)` Sets the value of the period property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GLISTTS

          public GLISTTS()

  - ### Method Detail

    - #### getHead

          public TS getHead()

      Gets the value of the head property.
      Returns:
        possible object is `TS`

    - #### setHead

          public void setHead(TS value)

      Sets the value of the head property.
      Parameters:
        `value` - allowed object is `TS`

    - #### getIncrement

          public PQ getIncrement()

      Gets the value of the increment property.
      Returns:
        possible object is `PQ`

    - #### setIncrement

          public void setIncrement(PQ value)

      Sets the value of the increment property.
      Parameters:
        `value` - allowed object is `PQ`

    - #### getPeriod

          public java.math.BigInteger getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `BigInteger`

    - #### setPeriod

          public void setPeriod(java.math.BigInteger value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getDenominator

          public java.math.BigInteger getDenominator()

      Gets the value of the denominator property.
      Returns:
        possible object is `BigInteger`

    - #### setDenominator

          public void setDenominator(java.math.BigInteger value)

      Sets the value of the denominator property.
      Parameters:
        `value` - allowed object is `BigInteger`